ECHO off
if %1$ == $%1 goto message
goto proceed
:message
ECHO You have to give the destination drive as a command line parameter
ECHO Example:    MAKE_IPX   a:
goto finish

:proceed

ECHO You are about to make diskettes for 
ECHO the NetWare IPX Router Upgrade kit.
ECHO 1) Make sure you have 2 formatted diskettes.
ECHO 2) Make sure you have a search drive to your dos utilities.
PAUSE

CLS
ECHO Please insert a formatted disk into drive %1
PAUSE
LABEL %1IPXSERV1
COPY ipxserv1\*.* %1 /v
md %1\utils
cd %1\utils
XCOPY ipxserv1\utils\*.* %1 /s /e /v
md %1\etc
cd %1\etc
XCOPY ipxserv1\etc\*.* %1 /s /e /v
md %1\ipx
cd %1\ipx
COPY ipxserv1\ipx\ipxcon.nl_ %1 /v
COPY ipxserv1\ipx\ipxcon.hlp %1 /v
COPY ipxserv1\ipx\ipxcon.msg %1 /v
COPY ipxserv1\ipx\ipxping.nlm %1 /v
COPY ipxserv1\ipx\ipxping.msg %1 /v
COPY ipxserv1\ipx\ipxping.hlp %1 /v
COPY ipxserv1\ipx\ipxrtr.nlm %1 /v
COPY ipxserv1\ipx\ipxrtr.msg %1 /v
COPY ipxserv1\ipx\ipxrtrnm.nlm %1 /v
COPY ipxserv1\ipx\ipxrtrnm.msg %1 /v
COPY ipxserv1\ipx\ipxstack.nlm %1 /v
COPY ipxserv1\ipx\ipxstack.msg %1 /v
cd %1\
ECHO Please remove the diskette in drive %1
ECHO Label the diskette "NetWare IPX Router Upgrade Disk 1"
PAUSE

CLS
ECHO Please insert a formatted disk into drive %1
PAUSE
LABEL %1IPXSERV2
XCOPY ipxserv2\*.* %1 /s /e /v
ECHO Please remove the diskette in drive %1
ECHO Label the diskette "NetWare IPX Router Upgrade Disk 2"
PAUSE


ECHO **************************************************************
ECHO * NetWare MultiProtocol Router diskettes made successfully ! *
ECHO *       Thank you, Have a good day.                          *
ECHO **************************************************************

:finish


